Bug 1412372 - with NIS XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":1024" on login
Summary: with NIS XIO: fatal IO error 11 (Resource temporarily unavailable) on X serve...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 26
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 21:10 UTC by RobbieTheK
Modified: 2018-05-29 12:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:14:43 UTC
Type: Bug


Attachments (Terms of Use)

Description RobbieTheK 2017-01-11 21:10:48 UTC
Description of problem:
While logging in as a standard NIS user the screen goes black have to use ctl-alt-F2

Version-Release number of selected component (if applicable):
 <platform>3</platform>
 <minor>22</minor>
 <micro>2</micro>

How reproducible:
every time

Steps to Reproduce:
1. reboot, no login is presented

Additional info:
HP Compaq 8200 Elite CMT PC, Fedora 25, VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series]

Seeing these errors:

Jan 11 15:34:47 ourdomain systemd[1]: Stopping GNOME Display Manager...
-- Subject: Unit gdm.service has begun shutting down
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit gdm.service has begun shutting down.
Jan 11 15:34:47 end gnome-shell[1843]: Connection to xwayland lost
Jan 11 15:34:47 ourdomain at-spi-bus-launcher[2207]: XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":1024"
Jan 11 15:34:47 ourdomain at-spi-bus-launcher[2207]:       after 21 requests (21 known processed) with 0 events remaining.
Jan 11 15:34:47 ourdomain gnome-settings-[2992]: gnome-settings-daemon: Fatal IO error 11 (Resource temporarily unavailable) on X server :1024.
Jan 11 15:34:47 ourdomain audit[1843]: ANOM_ABEND auid=4294967295 uid=42 gid=42 ses=4294967295 pid=1843 comm="gnome-shell" exe="/usr/bin/gnome-shell" sig=5
Jan 11 15:34:47 ourdomain kernel: do_trap: 18 callbacks suppressed
Jan 11 15:34:47 ourdomain kernel: traps: gnome-shell[1843] trap int3 ip:7fbf22d58a21 sp:7fff0ba42750 error:0 in libglib-2.0.so.0.5000.2[7fbf22d09000+110000]
Jan 11 15:34:47 ourdomain gnome-session-binary[1751]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Jan 11 15:34:47 ourdomain gnome-session[1751]: gnome-session-binary[1751]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Jan 11 15:34:47 ourdomain gnome-session[1751]: gnome-session-binary[1751]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Jan 11 15:34:47 ourdomain gnome-session-binary[1751]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Jan 11 15:34:47 ourdomain systemd[1]: Created slice system-systemd\x2dcoredump.slice.
-- Subject: Unit system-systemd\x2dcoredump.slice has finished start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit system-systemd\x2dcoredump.slice has finished starting up.
-- 
-- The start-up result is done.
Jan 11 15:34:47 ourdomain systemd[1]: Started Process Core Dump (PID 5376/UID 0).
-- Subject: Unit systemd-coredump@0-5376-0.service has finished start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit systemd-coredump@0-5376-0.service has finished starting up.
-- 
-- The start-up result is done.
Jan 11 15:34:47 ourdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-5376-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? termi
Jan 11 15:34:47 ourdomain gdm[1406]: GLib: g_hash_table_find: assertion 'version == hash_table->version' failed
Jan 11 15:34:47 ourdomain systemd[1]: Stopped GNOME Display Manager.
-- Subject: Unit gdm.service has finished shutting down
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit gdm.service has finished shutting down.
Jan 11 15:34:47 ourdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=gdm comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 11 15:34:48 ourdomain systemd-coredump[5377]: Process 1843 (gnome-shell) of user 42 dumped core.
                                                                
                                                                Stack trace of thread 1843:
                                                                #0  0x00007fbf22d58a21 _g_log_abort (libglib-2.0.so.0)
                                                                #1  0x00007fbf22d59a77 g_log_default_handler (libglib-2.0.so.0)
                                                                #2  0x000055e064de79ee default_log_handler (gnome-shell)
                                                                #3  0x00007fbf22d59d84 g_logv (libglib-2.0.so.0)
                                                                #4  0x00007fbf22d59f8f g_log (libglib-2.0.so.0)
                                                                #5  0x00007fbf2757768e x_io_error (libmutter.so.0)
                                                                #6  0x00007fbf21780e8e _XIOError (libX11.so.6)
                                                                #7  0x00007fbf2177e6ed _XEventsQueued (libX11.so.6)
                                                                #8  0x00007fbf21770397 XPending (libX11.so.6)
                                                                #9  0x00007fbf2692b511 gdk_event_source_check (libgdk-3.so.0)
                                                                #10 0x00007fbf22d52ba9 g_main_context_check (libglib-2.0.so.0)
                                                                #11 0x00007fbf22d530f4 g_main_context_iterate.isra.24 (libglib-2.0.so.0)
                                                                #12 0x00007fbf22d534e2 g_main_loop_run (libglib-2.0.so.0)
                                                                #13 0x00007fbf2754933c meta_run (libmutter.so.0)
                                                                #14 0x000055e064de7657 main (gnome-shell)
                                                                #15 0x00007fbf21179401 __libc_start_main (libc.so.6)
                                                                #16 0x000055e064de779a _start (gnome-shell)
                                                                
                                                                Stack trace of thread 2124:
                                                                #0  0x00007fbf2125501d poll (libc.so.6)
                                                                #1  0x00007fbf22d53156 g_main_context_iterate.isra.24 (libglib-2.0.so.0)
                                                                #2  0x00007fbf22d5326c g_main_context_iteration (libglib-2.0.so.0)
                                                                #3  0x00007fbf22d532b1 glib_worker_main (libglib-2.0.so.0)
                                                                #4  0x00007fbf22d7ab03 g_thread_proxy (libglib-2.0.so.0)
                                                                #5  0x00007fbf215266ca start_thread (libpthread.so.0)
                                                                #6  0x00007fbf21260f7f __clone (libc.so.6)
                                                                
                                                                Stack trace of thread 2187:
                                                                #0  0x00007fbf2125501d poll (libc.so.6)
                                                                #1  0x00007fbf22d53156 g_main_context_iterate.isra.24 (libglib-2.0.so.0)
                                                                #2  0x00007fbf22d5326c g_main_context_iteration (libglib-2.0.so.0)
                                                                #3  0x00007fbefb237fad dconf_gdbus_worker_thread (libdconfsettings.so)
                                                                #4  0x00007fbf22d7ab03 g_thread_proxy (libglib-2.0.so.0)
                                                                #5  0x00007fbf215266ca start_thread (libpthread.so.0)
                                                                #6  0x00007fbf21260f7f __clone (libc.so.6)
                                                                
                                                                Stack trace of thread 2294:
                                                                #0  0x00007fbf2125501d poll (libc.so.6)
                                                                #1  0x00007fbf2b7e2f51 poll_func (libpulse.so.0)
                                                                #2  0x00007fbf2b7d4721 pa_mainloop_poll (libpulse.so.0)
                                                                #3  0x00007fbf2b7d4dbe pa_mainloop_iterate (libpulse.so.0)
                                                                #4  0x00007fbf2b7d4e70 pa_mainloop_run (libpulse.so.0)
                                                                #5  0x00007fbf2b7e2e99 thread (libpulse.so.0)
                                                                #6  0x00007fbf20f2b178 internal_thread_func (libpulsecommon-9.0.so)
                                                                #7  0x00007fbf215266ca start_thread (libpthread.so.0)
                                                                #8  0x00007fbf21260f7f __clone (libc.so.6)
                                                                
                                                                Stack trace of thread 2296:
                                                                #0  0x00007fbf2152c460 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                                #1  0x00007fbf1df67d30 PR_WaitCondVar (libnspr4.so)
                                                                #2  0x00007fbf2a7fb5ae _ZN2js14GCHelperThread10threadLoopEv (libmozjs-24.so)
                                                                #3  0x00007fbf1df6d5bc _pt_root (libnspr4.so)
                                                                #4  0x00007fbf215266ca start_thread (libpthread.so.0)
                                                                #5  0x00007fbf21260f7f __clone (libc.so.6)
                                                                
                                                                Stack trace of thread 2297:
                                                                #0  0x00007fbf2152c460 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                                #1  0x00007fbf1df67d30 PR_WaitCondVar (libnspr4.so)
                                                                #2  0x00007fbf2a86efeb _ZN2js22SourceCompressorThread16compressorThreadEPv (libmozjs-24.so)
                                                                #3  0x00007fbf1df6d5bc _pt_root (libnspr4.so)
                                                                #4  0x00007fbf215266ca start_thread (libpthread.so.0)
                                                                #5  0x00007fbf21260f7f __clone (libc.so.6)
                                                                
                                                                Stack trace of thread 2165:
                                                                #0  0x00007fbf2152c460 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                                #1  0x00007fbeff543c4b util_queue_thread_func (r600_dri.so)
                                                                #2  0x00007fbeff543aa7 impl_thrd_routine (r600_dri.so)
                                                                #3  0x00007fbf215266ca start_thread (libpthread.so.0)
                                                                #4  0x00007fbf21260f7f __clone (libc.so.6)
                                                                
                                                                Stack trace of thread 2125:
                                                                #0  0x00007fbf2125501d poll (libc.so.6)
                                                                #1  0x00007fbf22d53156 g_main_context_iterate.isra.24 (libglib-2.0.so.0)
                                                                #2  0x00007fbf22d534e2 g_main_loop_run (libglib-2.0.so.0)
                                                                #3  0x00007fbf24662946 gdbus_shared_thread_func (libgio-2.0.so.0)
                                                                #4  0x00007fbf22d7ab03 g_thread_proxy (libglib-2.0.so.0)
                                                                #5  0x00007fbf215266ca start_thread (libpthread.so.0)
                                                                #6  0x00007fbf21260f7f __clone (libc.so.6)
-- Subject: Process 1843 (gnome-shell) dumped core
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: man:core(5)
-- 
-- Process 1843 (gnome-shell) crashed and dumped core.
-- 
-- This usually indicates a programming error in the crashing program and
-- should be reported to its vendor as a bug.
Jan 11 15:34:48 ourdomain gnome-session[1751]: gnome-session-binary[1751]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Jan 11 15:34:48 ourdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-5376-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? termin
Jan 11 15:34:48 ourdomain gnome-session-binary[1751]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Jan 11 15:34:48 ourdomain gnome-session[1751]: gnome-session-binary[1751]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 5
Jan 11 15:34:48 ourdomain gnome-session-binary[1751]: Unrecoverable failure in required component org.gnome.Shell.desktop
Jan 11 15:34:48 ourdomain polkitd[991]: Unregistered Authentication Agent for unix-session:c1 (system bus name :1.34, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Jan 11 15:34:48 ourdomain gnome-session-binary[1751]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 5

Comment 1 Fedora End Of Life 2017-11-16 19:47:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-03 07:53:02 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:14:43 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.